


<h1><a name="c" id="c">C++</a></h1>
<div class="level1">

<p>

<a href="http://en.wikipedia.org/wiki/C++" class="interwiki iw_wp" title="http://en.wikipedia.org/wiki/C++">C++</a>
</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "C++" [1-31] -->
<h2><a name="how_to_use_exceptions" id="how_to_use_exceptions">How to use exceptions</a></h2>
<div class="level2">
<pre class="code c++"><span class="co2">#include &lt;iostream&gt;</span>
using namespace std<span class="sy0">;</span>
&nbsp;
<span class="kw4">int</span> f<span class="br0">&#40;</span><span class="kw4">int</span> x<span class="br0">&#41;</span>
<span class="br0">&#123;</span>
	<span class="kw1">if</span><span class="br0">&#40;</span>x <span class="sy0">&lt;</span> 0<span class="br0">&#41;</span> throw <span class="nu0">0</span><span class="sy0">;</span>
	<span class="kw1">return</span> <span class="nu0">1</span><span class="sy0">;</span>
<span class="br0">&#125;</span>
&nbsp;
<span class="kw4">int</span> main<span class="br0">&#40;</span><span class="br0">&#41;</span>
<span class="br0">&#123;</span>
	try <span class="br0">&#123;</span>
		<a href="http://www.opengroup.org/onlinepubs/009695399/functions/cout.html"><span class="kw3">cout</span></a> <span class="sy0">&lt;&lt;</span> f<span class="br0">&#40;</span>0<span class="br0">&#41;</span> <span class="sy0">&lt;&lt;</span> endl<span class="sy0">;</span>
		<a href="http://www.opengroup.org/onlinepubs/009695399/functions/cout.html"><span class="kw3">cout</span></a> <span class="sy0">&lt;&lt;</span> f<span class="br0">&#40;</span><span class="sy0">-</span>1<span class="br0">&#41;</span> <span class="sy0">&lt;&lt;</span> endl<span class="sy0">;</span>
	<span class="br0">&#125;</span> catch<span class="br0">&#40;</span><span class="kw4">int</span> e<span class="br0">&#41;</span> <span class="br0">&#123;</span>
		<a href="http://www.opengroup.org/onlinepubs/009695399/functions/cout.html"><span class="kw3">cout</span></a> <span class="sy0">&lt;&lt;</span> <span class="st0">&quot;catch &quot;</span> <span class="sy0">&lt;&lt;</span> e <span class="sy0">&lt;&lt;</span> endl<span class="sy0">;</span>
	<span class="br0">&#125;</span>
<span class="br0">&#125;</span></pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to use exceptions" [32-] -->